Create API Path
Project-scoped operation. Requires the api_security add-on. Successful JSON and status-only responses vary by operation. The service does not declare a stable response schema for this operation; do not assume a collection envelope or undocumented fields.
POST
/
shield
/
domains
/
{domain_id}
/
api-paths
Create API Path
curl --request POST \
--url https://api.aptranet.com/shield/domains/{domain_id}/api-paths \
--header 'Aptranet-Secret: <api-key>' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"path": "/api/v1/paths/{path_id}"
}
'import requests
url = "https://api.aptranet.com/shield/domains/{domain_id}/api-paths"
payload = { "path": "/api/v1/paths/{path_id}" }
headers = {
"Authorization": "Bearer <token>",
"Aptranet-Secret": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Aptranet-Secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({path: '/api/v1/paths/{path_id}'})
};
fetch('https://api.aptranet.com/shield/domains/{domain_id}/api-paths', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aptranet.com/shield/domains/{domain_id}/api-paths"
payload := strings.NewReader("{\n \"path\": \"/api/v1/paths/{path_id}\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Aptranet-Secret", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"error": "<string>",
"error_description": "<string>"
}Authorizations
Project API access key.
Current secret for the access key.
Path Parameters
Body
application/json
Maximum string length:
1024Example:
"/api/v1/paths/{path_id}"
Available options:
GET, POST, PUT, PATCH, DELETE, TRACE, HEAD, OPTIONS Available options:
HTTP, HTTPS Maximum string length:
32Example:
"v1"
Maximum array length:
5Maximum string length:
50Response
Successful response.
Create API Path
curl --request POST \
--url https://api.aptranet.com/shield/domains/{domain_id}/api-paths \
--header 'Aptranet-Secret: <api-key>' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"path": "/api/v1/paths/{path_id}"
}
'import requests
url = "https://api.aptranet.com/shield/domains/{domain_id}/api-paths"
payload = { "path": "/api/v1/paths/{path_id}" }
headers = {
"Authorization": "Bearer <token>",
"Aptranet-Secret": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Aptranet-Secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({path: '/api/v1/paths/{path_id}'})
};
fetch('https://api.aptranet.com/shield/domains/{domain_id}/api-paths', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aptranet.com/shield/domains/{domain_id}/api-paths"
payload := strings.NewReader("{\n \"path\": \"/api/v1/paths/{path_id}\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Aptranet-Secret", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"error": "<string>",
"error_description": "<string>"
}